aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/hooks/post-save
diff options
context:
space:
mode:
authorNitroretro <nitroretro@protonmail.com>2019-12-19 22:42:54 +0200
committerLukas Fleischer <lfleischer@calcurse.org>2019-12-23 13:16:39 -0500
commit992cf45dc92b6aba36b47b496dbb0dc443aa200f (patch)
tree98b2c499618254e4e3094b5cc673a002b24bcfe5 /contrib/hooks/post-save
parent023ca554936148e2b5a71f93ce7b849fba98182e (diff)
downloadcalcurse-992cf45dc92b6aba36b47b496dbb0dc443aa200f.tar.gz
calcurse-992cf45dc92b6aba36b47b496dbb0dc443aa200f.zip
Use $XDG_{CONFIG,DATA}_HOME in hooks
Signed-off-by: Lukas Fleischer <lfleischer@calcurse.org>
Diffstat (limited to 'contrib/hooks/post-save')
-rwxr-xr-xcontrib/hooks/post-save34
1 files changed, 24 insertions, 10 deletions
diff --git a/contrib/hooks/post-save b/contrib/hooks/post-save
index 6113ce6..6e3f11e 100755
--- a/contrib/hooks/post-save
+++ b/contrib/hooks/post-save
@@ -2,28 +2,42 @@
#
# This is an example hook. It does two things whenever you save the data files:
#
-# 1. Make a commit if the calcurse data directory contains a Git repository.
+# 1. Make a commit if the calcurse directories contain a Git repository.
# 2. Synchronize with a CalDAV server if calcurse-caldav is configured.
#
# In order to install this hook, copy this file to
# $XDG_CONFIG_HOME/calcurse/hooks/ (~/.config/calcurse/hooks/) or
# ~/.calcurse/hooks/ if using ~/.calcurse.
-cd "$HOME"/.calcurse/
+data_dir="$HOME/.calcurse"
+config_dir="$HOME/.calcurse"
+
+if [ ! -d "$data_dir" ]; then
+ data_dir="${XDG_DATA_HOME:-$HOME/.local/share}/calcurse"
+ config_dir="${XDG_CONFIG_HOME:-$HOME/.config}/calcurse"
+fi
# Do not do anything when synchronizing with a CalDAV server.
-[ -f caldav/lock ] && exit
+[ -f "$data_dir/caldav/lock" ] && exit
-# If the data directory is under version control, create a Git commit.
-if [ -d .git -a -x "$(which git)" ]; then
- git add apts conf keys todo
- if ! git diff-index --quiet --cached HEAD; then
- git commit -m "Automatic commit by the post-save hook"
+# If the directory is under version control, create a Git commit.
+commit_dir() {
+ cd "$1" >/dev/null 2>&1 || return
+ shift
+ if [ -d .git ] && command -v git >/dev/null; then
+ git add "$@"
+ if ! git diff-index --quiet --cached HEAD; then
+ git commit -m "Automatic commit by the post-save hook"
+ fi
fi
-fi
+}
+
+commit_dir "$data_dir" apts todo
+commit_dir "$config_dir" conf keys
# Optionally run the CalDAV synchronization script in the background.
-if [ -d caldav -a -x "$(which calcurse-caldav)" ]; then
+cd "$data_dir" || exit
+if [ -d caldav ] && command -v calcurse-caldav >/dev/null; then
(
date="$(date +'%b %d %H:%M:%S')"
echo "$date Running calcurse-caldav from the post-save hook..."